post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to stop the discovery scan. Account Name and device names must be provided as mandatory inputs for this method.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| account | Account name or ID | Yes | string |
| devicename | Name of the device to stop discovery scan | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.NetworkScanner.stopDiscoveryScan(
account="Demo Account",
devicename="endpoint_device"
)
print(response)
client.close()Requires Python 3.9 or later.